<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*

+--------------------------------------------------------*
|
| Ajax Forum Post Ratings by LOA & Fangree Productions	
+--------------------------------------------------------*
| Developers: Matias Casas (PhAnToM) & Craig Dewar (Fangree_Craig)
| Email: phAnToM - phantom@loa-team.com.ar 
| Email: Fangree_Craig - admin@fangree.co.uk
| Support: http://www.fangree.co.uk	
+--------------------------------------------------------*
| Based on Forum Post Ratings from  fusionBoard 4
| by php-Invent Team
| http://www.php-invent.com
| Developer: Ian Unruh (SoBeNoFear)
| ianunruh@gmail.com
+--------------------------------------------------------*
*/  

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once LOCALE.LOCALESET."admin/settings.php";
include INFUSIONS."post_ratings/infusion_db.php";
if (! checkrights ( "LR1" ) || ! defined ( "iAUTH" ) || $_GET ['aid'] != iAUTH) {
	redirect ( "../index.php" );
}

if (file_exists (INFUSIONS."post_ratings/locale/".$settings['locale'].".php" )) {
	include INFUSIONS."post_ratings/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."post_ratings/locale/English.php";
}
	add_to_title($locale['global_200'].$locale['post_ratings_admin']);

	add_to_head("<script type='text/javascript' src='".INFUSIONS."post_ratings/includes/eui.js'></script>\n
    <link rel='stylesheet' href='".INFUSIONS."post_ratings/includes/images.css' type='text/css' />\n");

$settings_ratings = dbarray(dbquery("SELECT * FROM ".DB_POST_RATINGS_SETTINGS));
$show_ratings   = $settings_ratings['show_ratings'];
$rating_opacity = $settings_ratings['rating_opacity'];
$boxover_ratings= $settings_ratings['boxover_ratings'];


//if settings saved, changed the form a bit
if (isset($_POST['settingssave'])) {
	$show_ratings = $_POST['show_ratings'];
	$rating_opacity = $_POST['rating_opacity'];
	$boxover_ratings = $_POST['boxover_ratings'];
	$result=dbquery("UPDATE ".DB_POST_RATINGS_SETTINGS." SET show_ratings='".$show_ratings."', rating_opacity='".$rating_opacity."', boxover_ratings='".$boxover_ratings."'");
	echo $result ? "<div id='close-message'><div class='admin-message'>Settings Saved</div></div>" : "<div id='close-message'><div class='admin-message'>Settings not Saved</div></div><br />".mysql_error();

}
//if settings saved

	
	if (isset($_POST['goRating'])) {
		
		$type_name = addslash(stripinput($_POST['type_name']));
		$type_icon = stripinput($_POST['type_icon']);
		$boxover_ratings = (isnum($_POST['boxover_ratings']) ? $_POST['boxover_ratings'] : 0);
		$show_ratings = (isnum($_POST['show_ratings']) ? $_POST['show_ratings'] : 0);
		$rating_opacity = (isnum( str_replace(".", "", $_POST['rating_opacity'])) ? $_POST['rating_opacity'] : 0);
		
		if (isset($_GET['update']) && isNum($_GET['update'])) {
			
			$result = dbquery("SELECT * FROM ".DB_POST_RATINGS_RATE_TYPE." WHERE type_id='".$_GET['update']."'");
			if (!dbrows($result))
				redirect(FUSION_SELF.$aidlink."&section=ratings");
			
			$query = dbquery("UPDATE ".DB_POST_RATINGS_RATE_TYPE." SET type_name='$type_name', type_icon='$type_icon'	WHERE type_id='".$_GET['update']."'");
			redirect(FUSION_SELF.$aidlink."&section=ratings");
		
		} else {
			
			$query = dbquery("INSERT INTO ".DB_POST_RATINGS_RATE_TYPE." (type_name, type_icon) VALUES('$type_name', '$type_icon')");
			redirect(FUSION_SELF.$aidlink."&section=ratings");
		
		}
	
	}
	
	if (isset($_GET['del']) && isNum ($_GET['del'])) {
		
		$result = dbquery("DELETE FROM ".DB_POST_RATINGS_RATE_TYPE." WHERE type_id='".$_GET['del']."'");
		$result = dbquery("DELETE FROM ".DB_POST_RATINGS_RATE." WHERE rate_type='".$_GET['del']."'");
		redirect(FUSION_SELF.$aidlink."&section=ratings");
	
	}
	
	if (isset($_GET['edit']) && isNum($_GET['edit'])) {
		
		$result = dbquery("SELECT * FROM ".DB_POST_RATINGS_RATE_TYPE." WHERE type_id='".$_GET['edit']."'");
		if (!dbrows($result))
			redirect(FUSION_SELF.$aidlink."&section=ratings");
		$data = dbarray($result);
		
		$type_name = stripslash($data['type_name']);
		$type_icon = $data['type_icon'];
		
		$action = FUSION_SELF.$aidlink."&section=ratings&update=".$_GET ['edit'];
		$panel = $locale['rates852'];
		$button = $locale['rates854'];
	
	} else {
		
		$type_name = "";
		$type_icon = "";
		
		$action = FUSION_SELF.$aidlink."&section=ratings";
		$panel = $locale['rates851'];
		$button = $locale['rates853'];
	
	}
	opentable($locale['post_ratings_admin']);
	echo "<hr><div class='side-label eui_head' style='margin-bottom:1px' title='".$locale['post_ratings_intro2']."'>".$locale['post_ratings_intro2']."</div>\n";
	echo "<div class='eui_body first_e' style='margin-bottom:3px'>\n";
	echo"".$locale['post_ratings_intro']."";
	echo"</div>";
	echo "<div class='side-label eui_head' style='margin-bottom:1px' title='".$locale['rates870']."'><a class='eui_head' href='#' onclick=\"return false;\">".$locale['rates870']."</a></div>\n";
	echo "<div class='eui_body' style='margin-bottom:3px'>\n";
	///New Settings Form
		$button2 = $locale['rates877'];
		echo "<form action='".FUSION_SELF.$aidlink."&section=ratings' method='post' name='settingsForm'>
		<table width='300' class='tbl-border center' cellspacing='1' cellpadding='0'>
	<tr>
			<td class='tbl1'>".$locale['rates871']."</td>
			<td class='tbl2'><select name='show_ratings' class='textbox'>
				<option value='1'".($show_ratings == "1" ? " SELECTED" : "").">".$locale['rates872']."</option>
				<option value='0'".($show_ratings == "0" ? " SELECTED" : "").">".$locale['rates873']."</option>
			</select></td>
		</tr><tr>
			<td class='tbl1'>".$locale['rates874']."</td>
			<td class='tbl2'><input type='text' name='rating_opacity' class='textbox' style='width:75px;' value='".$rating_opacity."'></td>
		</tr>
		<tr>
			<td class='tbl1'>".$locale['rates875']."</td>
			<td class='tbl2'><select name='boxover_ratings' class='textbox'>
				<option value='1'".($boxover_ratings == "1" ? " SELECTED" : "").">".$locale['rates872']."</option>
				<option value='0'".($boxover_ratings == "0" ? " SELECTED" : "").">".$locale['rates873']."</option>
			</select></td>
		</tr>
		<tr>
			<td class='tbl1' colspan='2' style='text-align:center;'>
			<input type='submit' name='settingssave' value='$button2' class='button'>
			</td></tr></table></form>";
		
	///Settings Form End
	echo "</div>\n";
	echo "<div class='side-label eui_head' style='margin-bottom:1px' title='".$locale['rates876']."'><a class='eui_head' href='#' onclick=\"return false;\">".$locale['rates876']."</a></div>\n";
	echo "<div class='eui_body' style='margin-bottom:3px'>\n";
	
	
	$iconOpts = makefileopts(makefilelist(INFUSIONS."post_ratings/images/forum_icons/", ".|..|index.php|Thumbs.db"), $type_icon );
	
	echo "<form action='$action' name='ratingForm' method='post'>
		<table width='300' cellspacing='1' cellpadding='0' class='tbl-border center'>
		<tr>
			<td class='tbl1'>".$locale['rates855']."</td>
			<td class='tbl2'><input type='text' name='type_name' class='textbox' value='$type_name'></td>
		</tr>
		<tr>
			<td class='tbl1'>".$locale['rates856']."</td>
			<td class='tbl2'><select name='type_icon' class='textbox'>
			$iconOpts
			</select></td>
		</tr>
		<tr>
			<td class='tbl1' colspan='2' style='text-align:center;'>
			<input type='submit' name='goRating' value='$button' class='button'>
			</td>
		</tr>
		</table>
		</form>\n";
	
	
	echo"</div>";
	echo "<hr><div class='side-label eui_head' style='margin-bottom:1px' title='".$locale['rates860']."'>".$locale['rates860']."</div>\n";
	echo "<div class='eui_body first_e' style='margin-bottom:3px'>\n";

	
	$result = dbquery("SELECT * FROM ".DB_POST_RATINGS_RATE_TYPE);
	if (dbrows($result)) {
		
		echo "<table width='300' cellspacing='1' cellpadding='0' class='tbl-border center'>
			<tr>
				<td class='tbl2' style='font-weight:bold;'>".$locale['rates855']."</td>
				<td class='tbl2' style='font-weight:bold;'>".$locale['rates856']."</td>
				<td class='tbl2' style='font-weight:bold;'>".$locale['rates857']."</td>
			</tr>\n";
		
		while ($data = dbarray($result)) {
			
			echo "<tr>
					<td class='tbl1'>".stripslash($data['type_name'])."</td>
					<td class='tbl1'><img src='". INFUSIONS."post_ratings/images/forum_icons/".$data['type_icon']."' alt=''></td>
					<td class='tbl1'><a href='".FUSION_SELF.$aidlink."&amp;section=ratings&amp;edit=".$data['type_id']."'>".$locale['rates858']."</a> :: 
					<a href='".FUSION_SELF.$aidlink."&amp;section=ratings&amp;del=".$data['type_id']."' onclick=\"return confirm('".$locale['rates869']."');\">".$locale['rates859']."</a></td>
				</tr>\n";
		
		}
		
		echo"</div>";
		echo "</table>\n";
	
	} else {
		
		echo "<div align='center'>".$locale['rates861']."</div>\n";
	
	}
	
echo"</div>";
	closetable ();
require_once THEMES."templates/footer.php";
?>
